For the complete documentation index, see llms.txt. This page is also available as Markdown.

External Data Provider

This contains APIs related to External Data Provider Support for CACM

Add a new external data file metadata

post

Add a new external data file metadata

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/externaldata/filesinfo
POST /gateway/ccm/api/externaldata/filesinfo?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 538

{
  "externalDataFiles": {
    "uuid": "text",
    "accountId": "text",
    "orgIdentifier": "text",
    "projectIdentifier": "text",
    "providerName": "text",
    "name": "text",
    "uploadStatus": "INPROGRESS",
    "invoiceMonth": "text",
    "ingestionStatus": "text",
    "description": "text",
    "md5": "text",
    "signedUrlUsed": true,
    "cloudStoragePath": "text",
    "fileExtension": "CSV",
    "providerId": "text",
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Create External Data Provider

post

Create External Data Provider

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/externaldata/provider
POST /gateway/ccm/api/externaldata/provider?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 541

{
  "externalDataProvider": {
    "uuid": "text",
    "accountId": "text",
    "orgIdentifier": "text",
    "projectIdentifier": "text",
    "providerType": "SNOWFLAKE",
    "name": "text",
    "providerName": "text",
    "status": {
      "ANY_ADDITIONAL_PROPERTY": {
        "status": "text",
        "message": "text",
        "lastSyncedAt": 1
      }
    },
    "fileExists": true,
    "invoicePeriod": "MONTHLY",
    "description": "text",
    "lastSyncedAt": 1,
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Trigger data ingestion

post

Trigger data ingestion

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body

This has the query to list Enforcement Count

accountIdstringOptional

accountId

providerIdstringOptional

providerId

invoicePeriodstring[]Optional

invoicePeriod

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/externaldata/dataingestion
POST /gateway/ccm/api/externaldata/dataingestion?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "accountId": "text",
  "providerId": "text",
  "invoicePeriod": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete a provider

delete

Delete a external data provider given a idD.

Path parameters
providerIdstringRequired

Unique identifier for the rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/externaldata/provider/{providerId}
DELETE /gateway/ccm/api/externaldata/provider/{providerId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Update file metadata

put

Update file metadata

Path parameters
fileIdstringRequired

Unique identifier for the rule

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
put/externaldata/filesinfo/{fileId}
PUT /gateway/ccm/api/externaldata/filesinfo/{fileId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 538

{
  "externalDataFiles": {
    "uuid": "text",
    "accountId": "text",
    "orgIdentifier": "text",
    "projectIdentifier": "text",
    "providerName": "text",
    "name": "text",
    "uploadStatus": "INPROGRESS",
    "invoiceMonth": "text",
    "ingestionStatus": "text",
    "description": "text",
    "md5": "text",
    "signedUrlUsed": true,
    "cloudStoragePath": "text",
    "fileExtension": "CSV",
    "providerId": "text",
    "createdAt": 1,
    "lastUpdatedAt": 1,
    "createdBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    },
    "lastUpdatedBy": {
      "uuid": "text",
      "name": "text",
      "email": "text",
      "externalUserId": "text"
    }
  }
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Delete data file and related metadata

delete

Delete data file and related metadata given an id.

Path parameters
fileIdstringRequired

Unique identifier for the data file

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
delete/externaldata/filesinfo/{fileId}
DELETE /gateway/ccm/api/externaldata/filesinfo/{fileId}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Get a signed url

get

Get a signed url to upload external cost data.

Query parameters
accountIdentifierstringRequired

Account Identifier

providerIdstringRequired

Unique identifier for the provider

invoicePeriodstringRequired

Invoice period in format YYYYMMDD-YYYYMMDD

objectNamestringRequired

Name of the object to upload

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
get/externaldata/signedurl
GET /gateway/ccm/api/externaldata/signedurl?accountIdentifier=text&providerId=text&invoicePeriod=text&objectName=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

get all external data providers

post

get providers

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/externaldata/provider/list
POST /gateway/ccm/api/externaldata/provider/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Accept: */*
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

get all files info for list of providers

post

listProvidersFileInfo

Query parameters
accountIdentifierstringRequired

Account Identifier for the Entity.

Body
providerListstring[]Optional
Responses
400

Bad Request

This is Failure entity as defied in Harness

statusstring · enumOptionalPossible values:
codestring · enumOptionalPossible values:
messagestringOptional
correlationIdstringOptional
post/externaldata/provider/filesinfo
POST /gateway/ccm/api/externaldata/provider/filesinfo?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-d788d786-ssnpc
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "providerList": [
    "text"
  ]
}
{
  "status": "SUCCESS",
  "code": "DEFAULT_ERROR_CODE",
  "message": "text",
  "correlationId": "text",
  "errors": [
    {
      "fieldId": "text",
      "error": "text"
    }
  ]
}

Last updated

Was this helpful?